LBGETR(3NCARG)

NAME
LBGETR - Retrieves the real value of an internal parameter of Labelbar.

SYNOPSIS
CALL LBGETR (PNAM, RVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_lbgetr (char *pnam, float *rval)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) is a string three or more characters in length, beginning with one of the six character strings 'CBL', 'CFL', 'CLB', 'WBL', 'WFL', or 'WLB'.

RVAL
    (an output variable of type REAL) is the name of a variable into which the value of the parameter specified by PNAM is to be retrieved. If the internal parameter is of type INTEGER and has the value "i", "REAL(i)" will be returned in RVAL.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Labelbar parameters. For a complete list of parameters available in this utility, see the labelbar_params man page.

ACCESS
To use LBGETR or c_lbgetr, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the labelbar man page for a description of all Labelbar error messages and/or informational messages.

SEE ALSO
Online: labelbar, labelbar_params, lbfill, lbgeti, lblbar, lbseti, lbsetr, ncarg_cbind

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.